﻿#Functions
Function Time {Get-Date}
Time

Function Add
{
param ($x, $y)
$Ans = $x + $y
Write-Host “The Answer is $Ans”
}

Add 10 10
Add -x 10 -y 10

Function Add { $args[0] + $args[1] }
Add 10 10
Add "Hello" "World"

Function Add
{
param ([int]$x, [int]$y)
$Ans = $x + $y
Write-Host “The Answer is $Ans”
}
Add 10 10
Add "Hello" "World"

# Function comes from @SQLVarient 
Function Get-DisksSpace ([string]$Servername, $unit= "GB")
{
$measure = "1$unit"

Get-WmiObject -computername $serverName -query "
select SystemName, Name, DriveType, FileSystem, FreeSpace, Capacity, Label
  from Win32_Volume
 where DriveType = 2 or DriveType = 3" `
| select SystemName `
        , Name `
        , @{Label="SizeIn$unit";Expression={"{0:n2}" -f($_.Capacity/$measure)}} `
        , @{Label="FreeIn$unit";Expression={"{0:n2}" -f($_.freespace/$measure)}} `
        , @{Label="PercentFree";Expression={"{0:n2}" -f(($_.freespace / $_.Capacity) * 100)}} `
        ,  Label
}#Get-DisksSpace
Get-DisksSpace -Servername localhost | Format-Table


Function SysInfo {
$colItems = Get-WmiObject Win32_ComputerSystem -Namespace "root\CIMV2" -ComputerName $strComputer
foreach($objItem in $colItems) {
Write-Host “Computer Manufacturer: ” $objItem.Manufacturer
Write-Host “Computer Model: ” $objItem.Model
Write-Host “Total Memory: ” $objItem.TotalPhysicalMemory "bytes"
}
}

$strComputer = "."
SysInfo

#Run functions from script file
.\ServerInventory.ps1